본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Daum Search
  • REST API

사이드 메뉴

Kakao Map

Search

Daum Search

REST API

This document describes how to integrate Daum Search APIs into your service with a REST API.

You can test the features described in this document in [Tools] > [REST API Test].

Search web document

Basic information
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/search/webREST API key

Searches web documents by search query in the Daum Search service.

You can optionally add the parameters to set the result format to your request along with the search query. If the request is successful, the response is returned as a JSON object that contains meta and documents.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
queryStringSearch query you want to search.O
sortStringSorting method of the document results.
accuracy (accuracy order) or recency (latest).
(Default: accuracy)
X
pageIntegerResult page number.
A value between 1 and 50.
(Default: 1)
X
sizeIntegerNumber of documents to be displayed on a single page.
A value between 1 and 50.
(Default: 10)
X

Response

Body
NameTypeDescription
metaMetaSearch results such as the number of documents found.
documentsDocument[]Detailed search results, including each document.
Meta
NameTypeDescription
total_countIntegerNumber of documents found.
pageable_countIntegerNumber of documents to be displayed out of all documents (total_count).
is_endBooleanWhether the current page is the last page.
If false, you can request the next page by incrementing the value of page.
Document
NameTypeDescription
titleStringDocument title.
contentsStringPart of the document content.
urlStringDocument URL.
datetimeDatetimeThe time when the document was created in ISO 8601 format.
[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].000+[tz].

Sample

Request
curl -v -G GET "https://dapi.kakao.com/v2/search/web" \
--data-urlencode "query=이효리" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 897323,
"pageable_count": 775,
"is_end": false
},
"documents": [
{
"datetime": "2017-06-14T00:00:00.000+09:00",
"contents": "이름 <b>이효리</b>(李孝利) 출생 1979년 5월 10일, 충청북도 청주시 흥덕구 오송읍[1] 나이 39세 (만 38세) 본관 광주 이씨 [2] 신체 164cm, 53kg, A형 학력 서울동작초등학교 서문여자중학교 서문여자고등학교...",
"title": "<b>이효리</b> - 나무위키",
"url": "https://namu.wiki/w/%EC%9D%B4%ED%9A%A8%EB%A6%AC"
},
...
]
}

Serch video

Basic information
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/search/vclipREST API key

Searches videos by search query on the video platforms such as Youtube or Kakao TV.

You can optionally add the parameters to set the result format to your request along with the search query. If the request is successful, the response is returned as a JSON object that contains meta and documents.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
queryStringSearch query you want to search.O
sortStringSorting method of the document results.
accuracy (accuracy order) or recency (latest).
(Default: accuracy)
X
pageIntegerResult page number.
A value between 1 and 15.
X
sizeIntegerNumber of documents to be displayed on a single page.
A value between 1 and 30.
(Default: 15)
X

Response

Body
NameTypeDescription
metaMetaSearch results such as the number of documents found.
documentsDocument[]Detailed search results, including each document.
Meta
NameTypeDescription
total_countIntegerNumber of documents found.
pageable_countIntegerNumber of documents to be displayed out of all documents (total_count).
is_endBooleanWhether the current page is the last page.
If false, you can request the next page by incrementing the value of page.
Document
NameTypeDescription
titleStringVideo title.
urlStringVideo link.
datetimeDatetimeThe time when the video was uploaded in ISO 8601 format.
[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].000+[tz].
play_timeIntegerVideo duration in seconds.
thumbnailStringVideo preview URL.
authorStringVideo uploader.

Sample

Request
curl -v -G GET "https://dapi.kakao.com/v2/search/vclip" \
--data-urlencode "query=AOA" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 6033,
"pageable_count" : 800,
"is_end": false
},
"documents": [
{
"title": "AOA 지민·김용만, 돼지꼬리 맛에 정신혼미 ‘극찬세례’",
"play_time": 185,
"thumbnail": "https://search2.kakaocdn.net/argon/138x78_80_pr/FRkbdWEKr4F",
"url": "http://tv.kakao.com/channel/2653417/cliplink/304487728?playlistId=87634",
"datetime": "2017-05-06T00:36:45+09:00",
"author": "_SBS"
},
...
]
}

Search image

Basic information
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/search/imageREST API key

Searches images by search query in the Daum Search service.

You can optionally add the parameters to set the result format to your request along with the search query. If the request is successful, the response is returned as a JSON object that contains meta and documents.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
queryStringSearch query you want to search.O
sortStringSorting method of the document results.
accuracy (accuracy order) or recency (latest).
(Default: accuracy)
X
pageIntegerResult page number.
A value between 1 and 50.
(Default: 1)
X
sizeIntegerNumber of documents to be displayed on a single page.
A value between 1 and 80.
(Default: 80)
X

Response

Body
NameTypeDescription
metaMetaSearch results such as the number of documents found.
documentsDocument[]Detailed search results, including each document.
Meta
NameTypeDescription
total_countIntegerNumber of documents found.
pageable_countIntegerNumber of documents to be displayed out of all documents (total_count).
is_endBooleanWhether the current page is the last page.
If false, you can request the next page by incrementing the value of page.
Document
NameTypeDescription
collectionStringCollection.
thumbnail_urlStringThumbnail image URL.
image_urlStringImage URL.
widthIntegerThe image width.
heightIntegerThe image height.
display_sitenameStringSource.
doc_urlStringDocument URL.
datetimeDatetimeThe time when the document was created in ISO 8601 format.
[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].000+[tz].

Sample

Request
curl -v -G GET "https://dapi.kakao.com/v2/search/image" \
--data-urlencode "query=설현" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 422583,
"pageable_count": 3854,
"is_end": false
},
"documents": [
{
"collection": "news",
"thumbnail_url": "https://search2.kakaocdn.net/argon/130x130_85_c/36hQpoTrVZp",
"image_url": "http://t1.daumcdn.net/news/201706/21/kedtv/20170621155930292vyyx.jpg",
"width": 540,
"height": 457,
"display_sitename": "한국경제TV",
"doc_url": "http://v.media.daum.net/v/20170621155930002",
"datetime": "2017-06-21T15:59:30.000+09:00"
},
...
]
}

Search blog

Basic information
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/search/blogREST API key

Searches blog posts by search query in the Daum Blog service.

You can optionally add the parameters to set the result format to your request along with the search query. If the request is successful, the response is returned as a JSON object that contains meta and documents.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
queryStringSearch query you want to search.
If you want to search a specific blog post, enter the blog URL along with the search query by separating a space.
O
sortStringSorting method of the document results.
accuracy (accuracy order) or recency (latest).
(Default: accuracy)
X
pageIntegerResult page number.
A value between 1 and 50.
(Default: 1)
X
sizeIntegerNumber of documents to be displayed on a single page.
A value between 1 and 50.
(Default: 10)
X

Response

Body
NameTypeDescription
metaMetaSearch results such as the number of documents found.
documentsDocument[]Detailed search results, including each document.
Meta
NameTypeDescription
total_countIntegerNumber of documents found.
pageable_countIntegerNumber of documents to be displayed out of all documents (total_count).
is_endBooleanWhether the current page is the last page.
If false, you can request the next page by incrementing the value of page.
Document
NameTypeDescription
titleStringBlog post title.
contentsStringBlog post summary.
urlStringBlog post URL.
blognameStringBlog name.
thumbnailStringThe URL of the representative thumbnail image extracted from the search system.
The image size and quality may be subject to change.
datetimeDatetimeThe time when the blog post was posted in ISO 8601 format.
[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].000+[tz].

Sample

Request
curl -v -G GET "https://dapi.kakao.com/v2/search/blog" \
--data-urlencode "query=https://brunch.co.kr/@tourism 집짓기" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 5,
"pageable_count": 5,
"is_end": true
},
"documents": [
{
"title": "작은 <b>집</b> <b>짓기</b> 기본컨셉 - <b>집</b><b>짓기</b> 초기구상하기",
"contents": "이 점은 <b>집</b>을 지으면서 고민해보아야 한다. 하지만, 금액에 대한 가성비 대비 크게 문제되지 않을 부분이라 생각하여 설계로 극복하자고 생각했다. 전체 <b>집</b><b>짓기</b>의 기본방향은 크게 세 가지이다. 우선은 여가의 영역 증대이다. 현대 시대 일도 중요하지만, 여가시간 <b>집</b>에서 어떻게 보내느냐가 중요하니깐 이를 기본적...",
"url": "https://brunch.co.kr/@tourism/91",
"blogname": "정란수의 브런치",
"thumbnail": "http://search3.kakaocdn.net/argon/130x130_85_c/7r6ygzbvBDc",
"datetime": "2017-05-07T18:50:07.000+09:00"
},
...
]
}

Search book

Basic information
MethodURLAuthorization
GEThttps://dapi.kakao.com/v3/search/bookREST API key

Searches books by search query in the Daum Book service.

You can optionally add the parameters to set the result format to your request along with the search query. If the request is successful, the response is returned as a JSON object that contains meta and documents.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
queryStringSearch query you want to search.O
sortStringSorting method of the document results.
accuracy (accuracy order) or latest (latest).
(Default: accuracy)
X
pageIntegerResult page number.
A value between 1 and 50.
(Default: 1)
X
sizeIntegerNumber of documents to be displayed on a single page.
A value between 1 and 50.
(Default: 10)
X
targetStringSearch filters.
One of title (title), isbn (ISBN), publisher (publisher), person (author name).
X

Response

Body
NameTypeDescription
metaMetaSearch results such as the number of documents found.
documentsDocument[]Detailed search results, including each document.
Meta
NameTypeDescription
total_countIntegerNumber of documents found.
pageable_countIntegerNumber of documents to be displayed out of all documents (total_count).
is_endBooleanWhether the current page is the last page.
If false, you can request the next page by incrementing the value of page.
Document
NameTypeDescription
titleStringBook title.
contentsStringBook introduction.
urlStringURL of detailed information about the book.
isbnStringInternational Standard Book Number (ISBN).
Either ISBN10(10-digit) or ISBN13(13-digit) is passed.
If both values exist, separated by a space.
datetimeDatetimeThe time when the book was published in ISO 8601 format.
[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].000+[tz].
authorsString[]List of book authors.
publisherStringBook publisher.
translatorsString[]List of book translators.
priceIntegerBook price.
sale_priceIntegerBook discounted price.
thumbnailStringBook cover preview URL.
statusStringBook sales information.
Display the passed value as it is because this information is subject to change based on availability (on sale, sold out, out of print, etc).

Sample

Request
curl -v -G GET "https://dapi.kakao.com/v3/search/book?target=title" \
--data-urlencode "query=미움받을 용기" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"meta": {
"is_end": true,
"pageable_count": 9,
"total_count": 10
},
"documents": [
{
"authors": [
"기시미 이치로",
"고가 후미타케"
],
"contents": "인간은 변할 수 있고, 누구나 행복해 질 수 있다. 단 그러기 위해서는 ‘용기’가 필요하다고 말한 철학자가 있다. 바로 프로이트, 융과 함께 ‘심리학의 3대 거장’으로 일컬어지고 있는 알프레드 아들러다. 『미움받을 용기』는 아들러 심리학에 관한 일본의 1인자 철학자 기시미 이치로와 베스트셀러 작가인 고가 후미타케의 저서로, 아들러의 심리학을 ‘대화체’로 쉽고 맛깔나게 정리하고 있다. 아들러 심리학을 공부한 철학자와 세상에 부정적이고 열등감 많은",
"datetime": "2014-11-17T00:00:00.000+09:00",
"isbn": "8996991341 9788996991342",
"price": 14900,
"publisher": "인플루엔셜",
"sale_price": 13410,
"status": "정상판매",
"thumbnail": "https://search1.kakaocdn.net/thumb/R120x174.q85/?fname=http%3A%2F%2Ft1.daumcdn.net%2Flbook%2Fimage%2F1467038",
"title": "미움받을 용기",
"translators": [
"전경아"
],
"url": "https://search.daum.net/search?w=bookpage&bookId=1467038&q=%EB%AF%B8%EC%9B%80%EB%B0%9B%EC%9D%84+%EC%9A%A9%EA%B8%B0"
},
...
]
}

Search cafe

Basic information
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/search/cafeREST API key

Searches posts by search query in the Daum Cafe service.

You can optionally add the parameters to set the result format to your request along with the search query. If the request is successful, the response is returned as a JSON object that contains meta and documents.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
queryStringSearch query you want to search.O
sortStringSorting method of the document results.
accuracy (accuracy order) or recency (latest).
(Default: accuracy)
X
pageIntegerResult page number.
A value between 1 and 50.
(Default: 1)
X
sizeIntegerNumber of documents to be displayed on a single page.
A value between 1 and 50.
(Default: 10)
X

Response

Body
NameTypeDescription
metaMetaSearch results such as the number of documents found.
documentsDocument[]Detailed search results, including each document.
Meta
NameTypeDescription
total_countIntegerNumber of documents found.
pageable_countIntegerNumber of documents to be displayed out of all documents (total_count).
is_endBooleanWhether the current page is the last page.
If false, you can request the next page by incrementing the value of page.
Document
NameTypeDescription
titleStringCafe post title.
contentsStringPart of the contents of a Cafe post.
urlStringCafe post URL.
cafenameStringCafe name.
thumbnailStringThumbnail URL of a representative Cafe post.
datetimeDatetimeThe time when the Cafe post was published in ISO 8601 format.
[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].000+[tz].

Sample

Request
curl -v -G GET "https://dapi.kakao.com/v2/search/cafe" \
--data-urlencode "query=아이유" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"meta": {
"is_end": false,
"pageable_count": 983,
"total_count": 218662
},
"documents": [
{
"cafename": "쭉빵카페",
"contents": "무대의상들 정보 궁금해하는 게녀들이 있길래 가져왔어! 이번에는 레드벨벳이랑 <b>아이유</b> 의상만 가져왔는데 기회가 되면 다음에 다른 연예인들 의상도 가져올게~ 링크가...",
"datetime": "2017-01-31T16:57:33.000+09:00",
"thumbnail": "https://search1.kakaocdn.net/thumb/P100x100/?fname=http%3A%2F%2Fsearch1.kakaocdn.net%2Fargon%2F130x130_85_c%2FFJtvuJLusO",
"title": "연예인 무대의상 정보 가져왔어! (feat. 레드벨벳, <b>아이유</b>)",
"url": "http://cafe.daum.net/ok1221/9fQk/39709"
},
...
]
}

See more

Was this helpful?